Bug 1416093 - Same value gets repeated multiple times on Y-axis of C&U graphs
Summary: Same value gets repeated multiple times on Y-axis of C&U graphs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Robin Knaur
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:c&u
Depends On: 1383821
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 15:01 UTC by Satoe Imaishi
Modified: 2017-03-09 19:30 UTC (History)
7 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1383821
Environment:
Last Closed: 2017-02-27 19:30:28 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screen shot of C&U graphs with repeated values on Y-axis (44.86 KB, image/png)
2017-02-16 21:17 UTC, Nandini Chandra
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-24 15:20:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/944dc5c7336727e72017fd50c32a8110454fe0fd

commit 944dc5c7336727e72017fd50c32a8110454fe0fd
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Nov 21 08:31:44 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 24 10:18:25 2017 -0500

    Merge pull request #12640 from PanSpagetka/cu-charts-more-precise-tooltip
    
    More precise tooltip values in C&U charts
    (cherry picked from commit 5283c973c77df948eef3e655276470e25efd2913)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416093

 app/assets/javascripts/miq_application.js          | 12 +++-
 app/assets/javascripts/miq_formatters.js           | 20 +++---
 spec/javascripts/miq_formatters_spec.js            | 73 ++++++++++++++++++++--
 spec/javascripts/services/topology_service_spec.js |  5 +-
 4 files changed, 90 insertions(+), 20 deletions(-)

Comment 3 CFME Bot 2017-01-24 15:21:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/b32eddbc3fda5ec1752c385eaf69c80ab4712279

commit b32eddbc3fda5ec1752c385eaf69c80ab4712279
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Mon Nov 21 15:30:46 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 24 10:19:39 2017 -0500

    Merge pull request #12782 from hayesr/fix_byte_suffixes
    
    Revert size suffixes to decimal version.
    (cherry picked from commit 64101f46133c88a03cad21e29a4f76629ef15b56)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416093

 bower.json                              |  2 +-
 spec/javascripts/miq_formatters_spec.js | 16 ++++++++--------
 2 files changed, 9 insertions(+), 9 deletions(-)

Comment 4 CFME Bot 2017-01-24 15:50:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/8a5f4d5217e9ea09512febd6e596fabc6560ccc6

commit 8a5f4d5217e9ea09512febd6e596fabc6560ccc6
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Tue Jan 24 13:35:25 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 24 10:48:01 2017 -0500

    Merge pull request #40 from PanSpagetka/miq_pr_13289
    
    Fix repeating values on Y-axis of C&U charts
    (cherry picked from commit 9cb01d3f54e697d57c7267c5268797b57c7a3c68)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416093

 app/assets/javascripts/miq_application.js |  27 ++++++-
 app/assets/javascripts/miq_c3.js          | 117 ++++++++++++++++++++++++++++++
 lib/report_formatter/c3.rb                |   6 +-
 3 files changed, 144 insertions(+), 6 deletions(-)

Comment 6 Nandini Chandra 2017-02-16 21:17:38 UTC
Created attachment 1250948 [details]
screen shot of C&U graphs with repeated values on Y-axis

Comment 10 errata-xmlrpc 2017-02-27 19:30:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html

Comment 12 CFME Bot 2017-03-09 19:30:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/e48874e8c6c39b04d93d1371d06d12b3448cb215

commit e48874e8c6c39b04d93d1371d06d12b3448cb215
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Feb 28 15:23:01 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 9 14:27:44 2017 -0500

    Merge pull request #509 from PanSpagetka/fix-cu-chart-precision
    
    Fix C&U chart precision
    (cherry picked from commit f6db1338a2be907893a3d444a9eb251c891d0e82)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416093

 app/assets/javascripts/miq_c3.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.